Skip to main content
POST
/
v1
/
bot
/
calendar
/
events
/
{event_id}
/
reschedule
Reschedule Calendar Event
curl --request POST \
  --url https://api.boostgpt.co/v1/bot/calendar/events/{event_id}/reschedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_at": "<string>",
  "end_at": "<string>",
  "timezone": "<string>",
  "send_confirmation": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Path Parameters

event_id
string
required

Calendar event ID

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

Body

application/json
start_at
string
required
end_at
string
timezone
string
send_confirmation
boolean

Response

Reschedule Calendar Event successful

The response is of type object.